Subject: Re: git-fast-import question

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 29 Jul 2009 15:48:55 -0700

Troy Telford <[email-masked]> wrote:
> But when I run fast-import, I receive an error to the extent of:
> fatal:  Path path/to/some/file not in branch
> 
> So to me, it looks like the file that I'm renaming should exist in the
> branch - it's not being renamed anywhere, not being deleted, and the
> branch isn't reset.  Yet fast-import doesn't seem to think the file
> exists.

Perhaps try inserting a checkpoint just before the rename commit,
so you can actually look at the tree structure in the output branch
when the crash occurs.  My initial guess is, you don't have what
you think you have.

-- 
Shawn.